package projet;

public class HtmlPageRender implements PageRender {

    @Override
    public String getHeader(String titrePage) {
        return "<!DOCTYPE html>\n"
        		+ "<html>\n"
        		+ "	<head>\n"
        		+ "	<meta charset=\"UTF-8\">\n"
        		+ "	<title>" + titrePage + "</title>\n"
        		+ "	<script type=\"text/javascript\" async\n"
        		+ "  src=\"https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js\"\n>"
        		+ "	</script>"
        		+ "	</head>\n"
        		+ "	<body>\n";
    }

    @Override
    public String getFooter() {
        return " </body>\n"
        		+ "</html>\n";
    }
}
